Bug 1455670 - Service catalog service dialog refresh function in cf 4.2 behaves differently from cf 4.0
Summary: Service catalog service dialog refresh function in cf 4.2 behaves differently...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.7.3
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: upgrade:service:dialog
Depends On: 1439761
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-25 18:08 UTC by Satoe Imaishi
Modified: 2020-06-11 13:53 UTC (History)
11 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439761
Environment:
Last Closed: 2017-06-28 15:04:49 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-25 18:26:15 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4908b0f796b856adc9a47af426d6f12d305b0ad2

commit 4908b0f796b856adc9a47af426d6f12d305b0ad2
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon May 22 14:46:31 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 25 14:18:31 2017 -0400

    Merge pull request #1349 from eclarizio/BZ1439761
    
    Fix for service catalog service dialog refresh function behaving differently
    (cherry picked from commit cbdfa50fb06d68dd07e1e9796c977d9524f6ecb8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1455670

 app/assets/javascripts/dialog_field_refresh.js     |  39 ++-
 app/helpers/application_helper/dialogs.rb          |   3 +-
 .../dialogs/_auto_refresh_javascript.html.haml     |   9 +
 .../dialogs/_dialog_field_check_box.html.haml      |  19 +-
 ...alog_field_date_and_date_time_control.html.haml |  19 +-
 .../dialogs/_dialog_field_drop_down_list.html.haml |  22 +-
 .../dialogs/_dialog_field_radio_button.html.haml   |  27 +-
 .../dialogs/_dialog_field_text_area_box.html.haml  |  21 +-
 .../dialogs/_dialog_field_text_box.html.haml       |  23 +-
 spec/helpers/application_helper/dialogs_spec.rb    |  21 +-
 spec/javascripts/dialog_field_refresh_spec.js      | 301 ++++++++++++++++++---
 11 files changed, 386 insertions(+), 118 deletions(-)
 create mode 100644 app/views/shared/dialogs/_auto_refresh_javascript.html.haml

Comment 4 eclarizi 2017-06-23 16:59:37 UTC
Yes, it should, you're right. I think Satoe has been doing most of the backportings and I forgot to change the status on this and the related one.

Comment 7 errata-xmlrpc 2017-06-28 15:04:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.